import os
import subprocess
import sys

def main():
    if len(sys.argv) != 3 or sys.argv[1] != "startproject":
        print("Usage : monapp startproject nom_du_projet")
        return

    project_name = sys.argv[2]
    subprocess.run(["django-admin", "startproject", project_name])

    os.chdir(project_name)

    with open(f"{project_name}/settings.py", "a") as f:
        f.write("\nINSTALLED_APPS.append('monapp')\n")

    # Copier app monapp dans le projet (ou suggérer de l’ajouter)
    print("✅ Projet Django créé avec 'monapp' intégré !")
    print("➡️ Ajoute 'monapp.urls' dans ton fichier urls.py si nécessaire.")
